<div class="modal-header">
  <h4 class="modal-title" id="modal-basic-title">Formulaire Personnage</h4>
</div>

<div class="modal-body">
  <form [formGroup]="personnageForm">
    <div class="form-group">
      <label for="titreInput">Nom du personnage</label>
      <input type="text" class="form-control" id="titreInput" formControlName="nom">
    </div>

    <div class="form-row">
      <div class="form-group col">
        <label for="realisateurSelect">Acteur</label>
        <select id="realisateurSelect" class="form-control" formControlName="acteur">
          <option *ngFor="let acteur of acteurList" [ngValue]="acteur.noAct">
            {{acteur.prenAct+' '+acteur.nomAct}}
          </option>
        </select>
      </div>

      <div class="form-group col">
        <label for="catSelect">Film</label>
        <select id="catSelect" class="form-control" formControlName="film">
          <option *ngFor="let film of filmList" [ngValue]="film.noFilm">
            {{film.titre}}
          </option>
        </select>
      </div>
    </div>
  </form>
</div>

<div class="modal-footer">
  <button type="button" class="btn btn-success" [disabled]="!personnageForm.valid" (click)="validate()">Valider</button>
  <button type="button" class="btn btn-danger" (click)="close()">Fermer</button>
</div>
